Summary:	OpenGL Utility Toolkit (GLUT)
Name:		glut
Version:	3.7
Release:	5m
License:	GPL
Group:		System Environment/Libraries
Source0:	ftp://ftp.sgi.com/sgi/opengl/glut/%{name}-%{version}.tar.gz
NoSource:	0
Source1:	ftp://ftp.sgi.com/sgi/opengl/glut/%{name}-3.spec.ps.gz
NoSource:	1
Patch0:		%{name}-examples-paths.patch
Patch1:		%{name}-link.patch
URL:		http://www.opengl.org/
BuildPreReq:	XFree86-devel
Requires:	XFree86-libs
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A 3-D graphics library which uses the OpenGL API.

%package devel
Summary:	GLUT Development environment
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	XFree86-devel

%description devel
Header files needed for development aplications using GLUT library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

gunzip -dc %{SOURCE1} > glut-3.spec.ps

%build
rm -f Glut.cf
cp -f linux/Glut.cf .
./mkmkfiles.imake
cd lib/glut
rm -f Makefile
cp -f ../../linux/Makefile .
make depend
make "BOOTSTRAPCFLAGS=%{optflags} -fPIC" \
	"CDEBUGFLAGS=" "CCOPTIONS=%{optflags} -fPIC" \
	"CXXDEBUGFLAGS=" "CXXOPTIONS=%{optflags} -fPIC"

#prepare to make manuals
(cd ../../man
	sed s/gle// Imakefile > Imakefile.tmp
	mv -f Imakefile.tmp Imakefile
	xmkmf
)

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_libdir},%{_mandir}/man3,%{_includedir}}

install lib/glut/libglut.so.* %{buildroot}%{_libdir}
ln -sf libglut.so.3 %{buildroot}%{_libdir}/libglut.so

rm -f include/GL/tube.h
cp -rp include/* %{buildroot}%{_includedir}

(cd man; make DESTDIR=%{buildroot} MANDIR=%{_mandir}/man3 install.man)

gzip -9nf NOTICE CHANGES FAQ.glut README*

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc *.gz
%{_includedir}/GL/*.h
%{_includedir}/mui
%{_libdir}/lib*.so
%{_mandir}/man3/*

%changelog
* Thu Mar  6 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.7-5m)
- fix URL

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (3.7-4k)
- .so.*.* -> .so.*

* Thu May  9 2002 Toru Hoshina <t@Kondara.org>
- (3.7-2k)
- 1st release as standalone package.
